<?php

namespace App\Model;

use Iatstuti\Database\Support\CascadeSoftDeletes;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Pregunta extends Model
{
    use SoftDeletes, CascadeSoftDeletes;
    protected $cascadeDeletes = ['respuestas'];
    protected $dates = ['created_at', 'deleted_at'];
    protected $table = "pregunta";
    protected $fillable = ['id_tipo_pregunta', 'descripcion', 'id_encuesta'];

    public function respuestas()
    {
        return $this->hasMany(Respuesta::class,'id_pregunta');
    }

    public function respuestas_usuario()
    {
        return $this->hasMany(RespuestaUsuario::class,'id_pregunta');
    }
}
